dofile("Scripts/levelManager.lua");

LManager = LevelManager.create();

LManager:AddGame(eGAME_METER);
LManager:AddGame(eGAME_SPIN);
LManager:AddGame(eGAME_RECALL);
--LManager:AddGame(eGAME_SHELL);
--LManager:AddGame(eGAME_COMBO);

-- skewed block formation
LManager:AddTable(eTYPE_TABLE1, 250, 250);
LManager:AddTable(eTYPE_TABLE3, 540, 250);
LManager:AddTable(eTYPE_TABLE4, 180, 375);
LManager:AddTable(eTYPE_TABLE6, 470, 375);
LManager:AddTable(eTYPE_TABLE7, 110, 500);
LManager:AddTable(eTYPE_TABLE9, 400, 500);

seated = LManager.GenSeated(eTYPE_SEATED2);
seated.tableIdx = 1;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED4);
seated.tableIdx = 2;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED6);
seated.tableIdx = 3;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED9);
seated.tableIdx = 4;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED1);
seated.tableIdx = 5;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED3);
seated.tableIdx = 6;
LManager:AddSeated(seated);

guest = LManager.GenGuest(eTYPE_GUEST2);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 17000;
guest.needs[2] = eWANT_DRINK;
guest.times[2] = 64000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 124000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST5);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 10000;
guest.needs[2] = eWANT_GIFT;
guest.times[2] = 57000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 109000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 203000;
guest.needs[5] = eWANT_GIFT;
guest.times[5] = 217000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST7);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 3000;
guest.needs[2] = eWANT_DRINK;
guest.times[2] = 24000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 69000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 137000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 177000;
guest.needs[6] = eWANT_GIFT;
guest.times[6] = 189000;
guest.needs[7] = eWANT_TALK;
guest.times[7] = 224000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST8);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 50000;
guest.needs[2] = eWANT_DRINK;
guest.times[2] = 83000;
guest.needs[3] = eWANT_DRINK;
guest.times[3] = 144000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 184000;
guest.needs[5] = eWANT_DRINK;
guest.times[5] = 210000;
guest.needs[6] = eWANT_TALK;
guest.times[6] = 231000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST4);
guest.needs[1] = eWANT_DRINK;
guest.times[1] = 43000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 90000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 104000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 130000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 149000;
guest.needs[6] = eWANT_GIFT;
guest.times[6] = 170000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST6);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 29000;
guest.needs[2] = eWANT_DRINK;
guest.times[2] = 97000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 164000;
LManager:AddGuest(guest);

LManager:AdjustGuestHappiness(150);
LManager:SetSnackTime(20000);

LManager:SetLevelNumber(2,10);
LManager:SetLevelScores(7450, 8100);
LManager:SetLevelTime(40000);

gameObject = LManager:GenerateGameObject();

levelSetting = LManager:GenerateLevelSettings();